Name:		xkill
Version:	1.0.3
Release:	%mkrel 3
Summary:	Kill a client by its X resource
Group: 		Monitoring
Source0: 	http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Source1:	%{name}.png
License: 	MIT
BuildRequires:	libx11-devel >= 1.0.0
BuildRequires:	libxmu-devel >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1

%description
Xkill is a utility for forcing the X server to close connections to clients.
This program is very dangerous, but is useful for aborting programs that have
displayed undesired windows on a user's screen.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/apps
install -m644 %{SOURCE1} -D %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=XKill
Comment=Kill a client by its X resource
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=System;Monitor;
EOF

%files
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.3-3.mga3
+ Revision: 387066
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 05 2012 dams <dams> 1.0.3-2.mga3
+ Revision: 278892
- new icon for a better rendering
- clean specfile

* Fri Jan 21 2011 dmorgan <dmorgan> 1.0.3-1.mga1
+ Revision: 27927
- Remove mdv macros

  + ennael <ennael>
    - imported package xkill

